Skip to main content
GET
/
bank-linking
/
connections
/
{connectionId}
Get an institution connection
curl --request GET \
  --url https://api-sb.meld.io/bank-linking/connections/{connectionId} \
  --header 'Authorization: <api-key>'
{
  "accountId": "<string>",
  "activeDuplicateConnectionId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "customerId": "<string>",
  "duplicateConnectionIds": [
    "<string>"
  ],
  "externalCustomerId": "<string>",
  "id": "<string>",
  "institutionId": "<string>",
  "institutionName": "<string>",
  "key": "<string>",
  "optionalProducts": [],
  "products": [],
  "regions": [
    "<string>"
  ],
  "serviceProviderDetails": {},
  "status": "<string>",
  "statusReason": "<string>",
  "successfullyAggregatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Path Parameters

connectionId
string
required

Connection id

Response

Connection is returned

accountId
string

The unique identifier of your account with Meld. This id will be the same for all calls to Meld endpoints made from this account.

activeDuplicateConnectionId
string

If duplicate connections exist for this connection, then this specifies which of these duplicates is the actively maintained connection. If the connection has no duplicates, then this will be null. The primary duplicate connection defaults to whichever one was aggregated most recently, but can be manipulated by refreshing another duplicate (in which case that connection assumes the connection status of the active connection, and the previously active connection becomes an INACTIVE_DUPLICATE). Note that the active duplicate will not be guaranteed to have an actual connection status of ACTIVE (it may be RECONNECT_REQUIRED for example), this is just an indicator that it is the main duplicate that is routinely updated.

createdAt
string<date-time>

Date and time created

customerId
string

Meld customer id

duplicateConnectionIds
string[]

Duplicate connections occur when multiple Meld connections reference the same underlying service provider connection. This occurs when the same customer connects to the same bank account(s) through the same service provider in separate connect sessions using the same login credentials.

Note: Reference Duplicate Connections for more details.

externalCustomerId
string

Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity.

id
string

The id of the institution connection

institutionId
string

Institution id

institutionName
string

Institution name

key
string

When this institution connection is part of a paginated list, this key represents its position in the list

optionalProducts
enum<string>[]

Optional products

Available options:
BALANCES,
IDENTIFIERS,
INVESTMENT_HOLDINGS,
INVESTMENT_TRANSACTIONS,
OWNERS,
TRANSACTIONS
products
enum<string>[]

Required products

Available options:
BALANCES,
IDENTIFIERS,
INVESTMENT_HOLDINGS,
INVESTMENT_TRANSACTIONS,
OWNERS,
TRANSACTIONS
regions
string[]

Allowed regions

serviceProviderDetails
object

Service provider specific details for the connection

status
string

The connection's status.

Possible statuses:

IN_PROGRESS

ACTIVE

PARTIALLY_ACTIVE

DEGRADED

RECONNECT_REQUIRED

UNRECOVERABLE

UNDETERMINED

DELETED

EXPIRED

statusReason
string

Reason for the connection status. Applicable primarily for error statuses. Possible values can be found here

successfullyAggregatedAt
string<date-time>

The last time the connection was successfully aggregated by the underlying service provider. This value will be null until the first aggregation is completed. For service providers that send webhooks only when changes are detected during daily aggregations, this value may become stale if the connection hasn't had new balances or transactions in a while. The service provider may still be successfully aggregating the connection daily, but because no changes are being detected (and thus no webhooks being sent to Meld), then this value may not reflect the true last aggregation time, but rather the last time that changes were detected by the service provider.